Attean::API::Blank(3pm)

NAME
Attean::API::Blank - Role representing RDF blank terms

VERSION
This document describes Attean::API::Blank version 0.012

SYNOPSIS
  use v5.14;
  use Attean;

DESCRIPTION
This is a Moo role that Blank RDF terms consume.

ROLES
This role consumes the Attean::API::Term and Attean::API::BlankOrIRI roles.

METHODS
This role provides default implementations of the following methods:

"ebv"
    Returns the boolean value of this term.

"compare( $blank )"
    Returns -1, 0, or 1 if $blank is less than, equal to, or greater than the referent based on SPARQL sorting order.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO
<http://www.perlrdf.org/>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2016 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.